Layer API Resource

HDC Global layer Web Service

DELETE /layer/{layerId}

Delete layer.

Try it out!

Request Parameters
name type description default constraints
layerId path ID of layer to be deleted   long
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the deletion has or has not been succeeded.

PUT /layer/{layerId}

Update layer.

Example of request:

{"objectName":"BTA","metadata":{"layerStyle":"fill:none;stroke:#0000FF;stroke-width:0.03"}}

Try it out!

Request Parameters
name type description default constraints
layerId path ID of layer to be updated   long
Request Body
media type data type description
application/json HdcVectorLayerTO (JSON) The specification of layer that has to be updated.
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the updating has or has not been succeeded.

POST /layer/{vectorDrawingId}

Add private layer.

Example of request:

{"layerName":"local_layer","toolset":{"id":null,"objectName":null,"style":{"stroke":"","stroke-width":"1","stroke-opacity":1,"fill":"","fill-opacity":1}}}

Try it out!

Request Parameters
name type description default constraints
vectorDrawingId path ID of vector drawing to whom layer will be added.   long
Request Body
media type data type description
application/json HdcVectorLayerTO (JSON) The specification of layer that has to be added.
Response Body
media type data type description
application/json HdcVectorLayerTO (JSON) JSON with layer record added Example of response:

{"layerId":"3443","layerName":"Layer1","layerStyle":"fill-opacity:1;stroke-opacity:1;stroke-width:1","isPublic":false,"isEditable":true,"ownerId":"71","ownerName":"User1","style":{"fill-opacity":"1","stroke-opacity":"1","stroke-width":"1"},"toolset":{"id":"3248","objectName":"Layer1","style":{"fill-opacity":"1","stroke-opacity":"1","stroke-width":"1"}}},{"layerId":"1","layerName":"BRA","layerStyle":"fill:none;stroke-width:0.05","isPublic":true,"isEditable":true,"ownerId":"5","ownerName":"Admin","style":{"fill":"none","stroke-width":"0.05"},"toolset":{"id":"91","objectName":"layer_BRA","style":{"fill":"none","stroke-width":"0.05"}}}

POST /layer/entityarea/xls

Get Area compare report for Layer

Try it out!

Request Body
media type data type description
application/json HdcPolygonAreaCheckRequest (JSON) - input data
Response Body
media type data type description
application/json HdcPathProcessStateTO (JSON) json response with information about started process

GET /layer/global/json

Get list of global layers

Try it out!

Response Body
media type data type description
application/json array of HdcVectorLayerTO (JSON) JSON with list of global layers

Example of response:

[{"layerId":"2","layerName":"BRA","isPublic":true,"isRedline":false,"isEditable":true,"isVisible":true,"isActive":true,"ownerId":"1","viewRestrictions":[],"editRestrictions":[]},{"layerId":"3","layerName":"BTA","isPublic":true,"isRedline":false,"isEditable":true,"isVisible":true,"isActive":true,"ownerId":"1","viewRestrictions":[],"editRestrictions":[]}]

GET /layer/members/{layerId}

Get list of users or groups, which are restricted for viewing/editing layer

Try it out!

Request Parameters
name type description default constraints
layerId path layer to be set with restrictions   long
mode query Values can be users or groups    
restriction query values: View or Edit    
Response Body
media type data type description
application/json object (JSON) JSON Response with list of users

Example of response:

{"list":[{"id":2,"name":"user1","userFullName":"User 1","enabled":false,"email":""}]} or {"list":[{"id":22,"name":"Group C5","description":"Description of group C1","enabled":false}]}

GET /layer/entityarea/report/{layerId}/{vectorId}

Get polygon area report for entities and their linked objects

Try it out!

Request Parameters
name type description default constraints
layerId path - id of layer   long
vectorId path - id of vector   long
classId query - id of class   long
fieldId query - id of class field    
limit query 100 long
offset query   long
precision query   int
sortField query    
Response Body
media type data type description
application/json object (JSON) JSON response with area report

POST /layer/{drawingType}/{vectorId}/assign/{layerId}

Assign restrictions for users or/and groups

Example of request:

{"list":[{"id":"userId"}]} or {"list":[{"id":"groupId"}]}

Try it out!

Request Parameters
name type description default constraints
drawingType path   int
layerId path layer to be set with restrictions   long
vectorId path   long
restriction query values: View or Edit    
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON response with information if assignment was successful or not

POST /layer/{drawingType}/{vectorId}/unassign/{layerId}

Unassign view/edit restrictions for users or/and groups

Example of request:

{"list":[{"id":"userId"}]} or {"list":[{"id":"groupId"}]}

Try it out!

Request Parameters
name type description default constraints
drawingType path   int
layerId path ID of a layer   long
vectorId path   long
restriction query values: View or Edit    
Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON response with information if unassignment was successful or not